import { HcApi } from '../../../request/index'
//  合同材料
export default {
    //分页
    async getPage(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/meterPeriod/periodPage',
            method: 'get',
            params: form,
        }, msg)
    },
    //修改
    async edit(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/meterPeriod/edit',
            method: 'post',
            data: form,
        }, msg)
    },
    //计量期列表-全部
    async allPeriod(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/meterPeriod/allPeriod',
            method: 'get',
            params: form,
        }, msg)
    },
    //计量期列表-未关联报表
    async conditionPeriod(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/meterPeriod/conditionPeriod',
            method: 'get',
            params: form,
        }, msg)
    },
    //锁定
    async locking(form, msg = true) {
        return HcApi({
            url: '/api/blade-meter/meterPeriod/locking',
            method: 'get',
            params: form,
        }, msg)
    },
   
}